Subject: Re: bug#33097: test has filetest -a but man page doesn't list it

From: Pádraig Brady <[email-masked]>
Date: Mon, 22 Oct 2018 05:11:51 -0700

On 21/10/18 16:06, Bernhard Voelker wrote:
> On 10/21/18 2:09 AM, Paul Eggert wrote:
>> I have the opposite impression. Any scripts using this confusing -a operator are 
>> already broken, and we should phase it out. Not that anybody actually *uses* 
>> coreutils "test -a".
> 
> Done with the attached 1st patch.
> 
> The 2nd patch is a cleanup avoiding the redundant checking of unary operators
> in test_unop and unary_operator.
> 
> The 3rd patch adds support for 'test -N FILE' as in bash.
> Please check (on various platforms / file systems if possible).

Very nice.
atime has 24 hour resolution on vfat I think,
though I think your test should handle that.
Also -N should work with common relatime mount option.

thanks!
Pádraig